package com.hzs.common.core.enums;

import com.hzs.common.core.constant.EnumsPrefixConstants;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 数据来源枚举类
 */
@AllArgsConstructor
@Getter
public enum EDataSource {

    /**
     * PC端
     */
    PC(1, "PC端", EnumsPrefixConstants.DATASOURCE + "1"),

    /**
     * APP
     */
    APP(2, "APP", EnumsPrefixConstants.DATASOURCE + "2"),

    /**
     * H5
     */
    H5(3, "H5", EnumsPrefixConstants.DATASOURCE + "3"),

    ;

    /**
     * 实际值
     */
    private final Integer value;
    /**
     * 显示标签
     */
    private final String label;
    /**
     * 国际化翻译key值
     */
    private final String key;

    /**
     * 根据值获取枚举
     *
     * @param value
     * @return
     */
    public static EDataSource getEnumByValue(String value) {
        for (EDataSource enums : EDataSource.values()) {
            if (enums.getValue().equals(Integer.parseInt(value))) {
                return enums;
            }
        }
        return null;
    }

}
